<?php

namespace Limb_Chatbot\Includes\Widgets\Data;

class Generic_Widget_Config extends Abstract_Widget_Config {
	public function sanitize( $data ): array {
		if ( ! is_array( $data ) ) {
			return [];
		}

		return wp_kses_post_deep( $data );
	}

	public function validate( $data ): bool {
		return is_array( $data );
	}
}
